\version "2.16.0"

\tocItem \BIntro
\score  { % intro
  \keepWithTag #'Part
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) } 
    <<
       \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "A/global.ily" \include "A/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "A/global.ily" \include "A/violonII.ily" >> }
       >>
       \new Staff = "Viola" \keepWithTag #'Full <<
	 \clef alto \xViola
	 \include "A/global.ily" \include "A/viola.ily"
       >>
     >>
    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "A/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
	\include "A/global.ily" \include "A/continuo.ily" >>
      \new FiguredBass { \include "A/chiffrage.ily" }
    >>
  >>

  \header {
    piece = \BIntro
  }
  \layout {
  }
} %ends A intro

\tocItem \BSymphony
\score  { % air while Merlin descends
  \keepWithTag #'Part
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
       \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "B/global.ily" \include "B/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "B/global.ily" \include "B/violonII.ily" >> }
       >>
       \new Staff = "Viola" \keepWithTag #'Full <<
	 \clef alto \xViola
	 \new Voice << \include "B/global.ily" \include "B/viola.ily" >>
       >>
       >>

    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "B/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
	\include "B/global.ily" \include "B/continuo.ily" >>
      \new FiguredBass { \include "B/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BSymphony
  }
  \layout {
  }
} %ends B air while Merlin descends

\tocItem \BHitherWay
\score  { % SOLO & CHORUS "Hither this way bend"
  << 
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
       \new Staff = "Violon" \with { printPartCombineTexts = ##f } <<
	 \clef treble \zViolins
	 \partcombine
        { \keepWithTag #'Reduc
	 << \include "C/global.ily" \include "C/instrumental.ily"
	    \include "C/violonI.ily" \include "C/indication.ily"
	    \include "C/oboeI.ily" >> }
        { \keepWithTag #'Reduc
	 << \include "C/global.ily" \include "C/instrumental.ily"
	    \include "C/violonII.ily" \include "C/oboeII.ily" >> }
       >>
       \new Staff = "Viola" \keepWithTag #'Full <<
	 \clef alto \xViola
	 \include "C/global.ily" \include "C/instrumental.ily"
	 \include "C/viola.ily"
       >>
    >>

    \new PianoStaff = "Chanteurs" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \zChor
      \new Staff <<
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "C/global.ily" \include "C/nsoprano.ily"
	     \include "C/nphilidel.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "C/global.ily" \include "C/nalto.ily" >> }
      >>
      \new Staff <<
        \clef bass
        \set Staff.printPartCombineTexts = ##f
        \partcombine
	{ \keepWithTag #'Reduc
	  << \include "C/global.ily" \include "C/ntenor.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "C/global.ily" \include "C/nbasse.ily" >> }
      >>
    >>

    \new PianoStaff = "Basso" <<
      \zBasso
      \new Staff = "Up" \keepWithTag #'Full << \include "C/global.ily"
	\new Voice = "Solo" { \extra \include "C/nphilidel.ily" } >>
      \new Lyrics \with {alignAboveContext = #"Up" }
        \lyricsto "Solo" \include "C/lphilidel.ily"
      \new Staff = "Down" \keepWithTag #'Part <<
	\clef bass
        \include "C/global.ily" \include "C/instrumental.ily"
	\include "C/continuo.ily" >>
      \new FiguredBass { \include "C/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BHitherWay
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends C Hither this way (solo & chorus)

\tocItem \BMoonBornElf
\score  { %% SOLO "Let not a moon-born elf"
  <<
    \new Staff = "Violons" \with {
       fontSize = #-1
       \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \clef treble \zViolins
      \set Staff.printPartCombineTexts = ##f
      \partcombine
      { \keepWithTag #'Reduc
	<< \include "D/global.ily" \include "D/violonII.ily" >> }
      { \keepWithTag #'Reduc
	<< \include "D/global.ily" \include "D/violonI.ily" >> }
    >>

    \new Staff = "S_solo" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \clef bass %\xBasse
      \set Staff.autoBeaming = ##f
      \unset Staff.melismaBusyProperties
      \new Voice = "V_solo" <<
	\include "D/global.ily" \include "D/ngrimbald.ily" >>
      \new Lyrics \lyricsto "V_solo" \include "D/lgrimbald.ily"
    >>

    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "D/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
	\include "D/global.ily" \include "D/continuo.ily" >>
      \new FiguredBass { \include "D/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BMoonBornElf
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends D SOLO "Let not a moon-born elf"

\tocItem \BChorHither
\score  { % CHORUS "Hither this way"
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
       \new Staff = "Violon" \with { printPartCombineTexts = ##f }
       <<
	 \clef treble \zViolins
	 \partcombine
        { \keepWithTag #'Reduc
	 << \include "E/global.ily" \include "E/instrumental.ily"
	    \include "E/violonI.ily" >> }
        { \keepWithTag #'Reduc
	 << \include "E/global.ily" \include "E/instrumental.ily"
	      \include "E/violonII.ily" >> }
       >>
       \new Staff = "Viola" \keepWithTag #'Full <<
	 \clef alto \xViola 
	 << \include "E/global.ily" \include "E/instrumental.ily"
	    \include "E/viola.ily" >>
       >>
    >>

    \new PianoStaff = "Chanteurs" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
 <<
      \zChor
      \new Staff <<
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "E/global.ily" \include "E/nsoprano.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "E/global.ily" \include "E/nalto.ily" >> }
      >>
      \new Staff <<
        \clef bass
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "E/global.ily" \include "E/ntenor.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "E/global.ily" \include "E/nbasse.ily" >> }
      >>
    >>

    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "E/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
	\include "E/global.ily" \include "E/instrumental.ily"
	\include "E/continuo.ily" >>
      \new FiguredBass { \include "E/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BChorHither
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends E Hither this way (chorus)

\tocItem \BFollowMe
\score  { % CHORUS "Come follow me"
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "F/indication.ily" \include "F/global.ily"
	     \include "F/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "F/global.ily" \include "F/violonII.ily" >> }
      >>
      \new Staff = "Viola" \keepWithTag #'Full <<
	\clef alto \xViola
	\include "F/global.ily" \include "F/viola.ily"
      >>
    >>

    \new PianoStaff = "Chanteurs" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \zChor
      \new Staff <<
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "F/global.ily" \include "F/nsopranoA.ily"
	     \include "F/nsopranoB.ily" >> }
        { \keepWithTag #'Reduc
	  <<\include "F/global.ily" \include "F/nalto.ily" >> }
      >>

      \new Staff <<
        \clef bass
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "F/global.ily" \include "F/ntenor.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "F/global.ily" \include "F/nbasse.ily" >> }
      >>

    >>

    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "F/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
        \include "F/global.ily" \include "F/continuo.ily" >>
      \new FiguredBass { \include "F/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BFollowMe
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends F "Come follow me" (chorus)

\tocItem \BHowBlessed
\score  { % SOLO & CHORUS "How blessed are shepherds"
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/violonII.ily" >> }
       >>
      \new Staff = "Viola" \keepWithTag #'Full <<
	\clef alto \xViola
	\include "G/global.ily" \include "G/viola.ily"
      >>
    >>

    \new PianoStaff = "Chanteurs" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \zChor
      \new Staff <<
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/nsoprano.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/nalto.ily" >> }
      >>
      \new Staff <<
        \clef bass
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/ntenor.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "G/global.ily" \include "G/nbasse.ily" >> }
      >>
    >>

    \new PianoStaff = "Basso" <<
      \zBasso
      \new Staff = "Up" \keepWithTag #'Full << \include "G/global.ily"
	\new Voice = "Solo" { \extra  \include "G/ntenor.ily" } >>
      \new Lyrics \with {alignAboveContext = #"Up" }
        \lyricsto "Solo" \include "G/ltenor.ily"
      \new Staff = "Down" \keepWithTag #'Part <<
	\clef bass
        \include "G/global.ily" \include "G/continuo.ily" >>
      \new FiguredBass { \include "G/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BHowBlessed
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends G SOLO & CHORUS "How blessed are shepherds"

\tocItem \BDuet
\score  { % DUET
  <<
    \new Staff = "Vents" \with {
      printPartCombineTexts = ##f
      fontSize = #-1
      \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \set Staff.instrumentName = \markup {
	\column { \Lfl "&" \Lob } }
      \set Staff.shortInstrumentName = \markup {
	\column { \Lfl "&" \Lob } }
      \clef treble \partcombine
      { \keepWithTag #'Reduc
	<< \include "H/global.ily" \include "H/oboeI.ily" >> }
      { \keepWithTag #'Reduc
	<< \include "H/global.ily" \include "H/oboeII.ily" >> }
      >>

    \new Staff = "Chanteurs" \with {
      printPartCombineTexts = ##f
      fontSize = #-1
      \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \clef treble \xSoprano
      \partcombine
      { \keepWithTag #'Reduc
        << \include "H/global.ily" \include "H/nsopranoA.ily" >> }
      { \keepWithTag #'Reduc
        << \include "H/global.ily" \include "H/nsopranoB.ily" >> }
      >>

    \new PianoStaff = "Basso" <<
      \zBasso
      \new Staff = "Up" \keepWithTag #'Full << \include "H/global.ily"
	\new Voice = "Solo" { \extra  \include "H/nsopranoA.ily" } >>
      \new Lyrics \with {alignAboveContext = #"Up" }
        \lyricsto "Solo" \include "H/lsopranoA.ily"
      \new Staff = "Down" \keepWithTag #'Part <<
	\clef bass
        \include "H/global.ily" \include "H/continuo.ily" >>
      \new FiguredBass { \include "H/chiffrage.ily" }
    >>
  >>

  \header {
    breakbefore = ##t
    piece = \BDuet
  }
  \layout {
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends BH DUET

\tocItem \BComeShepherds
\score  { % CHORUS "Come shepherds"
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/violonII.ily" >> }
      >>
      \new Staff = "Viola" \keepWithTag #'Full <<
	\clef alto \xViola
	\include "J/global.ily" \include "J/viola.ily"
      >>
    >>

    \new PianoStaff = "Chanteurs" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \zChor
      \new Staff <<
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/nsoprano.ily" >> }
	{ \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/nalto.ily" >> }
      >>
      \new Staff <<
        \clef bass
        \set Staff.printPartCombineTexts = ##f
        \partcombine
        { \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/ntenor.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "J/global.ily" \include "J/nbasse.ily" >> }
      >>
    >>

    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "J/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
        \include "J/global.ily" \include "J/continuo.ily" >>
      \new FiguredBass { \include "J/chiffrage.ily" }
    >>
  >>

  \header {
    piece = \BComeShepherds
  }
  \layout {
  }
} %ends J CHORUS "Come shepherds"

\tocItem \BHornpipe
\score  { % HORNPIPE act 2
  \keepWithTag #'Part
  <<
    \new StaffGroup = "Cordes" \with { fontSize = #-1
        \override StaffSymbol #'staff-space = #(magstep -1) }
    <<
      \new Staff = "Violon" \with { printPartCombineTexts = ##f }
      <<
	\clef treble \zViolins
	\partcombine
        { \keepWithTag #'Reduc
	  << \include "K/global.ily" \include "K/violonI.ily" >> }
        { \keepWithTag #'Reduc
	  << \include "K/global.ily" \include "K/violonII.ily" >> }
      >>
      \new Staff = "Viola" \keepWithTag #'Full <<
	\clef alto \xViola
	\include "K/global.ily" \include "K/viola.ily"
      >>
    >>
    \new PianoStaff = "Basso" \keepWithTag #'Part <<
      \zBasso
      \new Staff = "Up" << \include "K/global.ily" >>
      \new Staff = "Down" <<
	\clef bass
        \include "K/global.ily" \include "K/continuo.ily" >>
    >>
  >>

  \header {
    piece = \BHornpipe
  }
  \layout {
    indent = 0\cm
    \context { \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
} %ends K HORNPIPE
