\version "2.16.0"
#(set-default-paper-size "a4")
#(ly:set-option 'point-and-click #f)

\include "Couverture.ily"

\paper {
%%% format du papier
  two-sided = ##t
  inner-margin = 1.2\cm
  outer-margin = 1.3\cm
  binding-offset = 0.6\cm
  ragged-right = ##f
  ragged-bottom = ##f
  ragged-last-bottom = ##f

%%% mise en page générale
  #(define (not-part-first-page layout props arg)
     (if (not (= (chain-assoc-get 'page:page-number props -1)
                 (ly:output-def-lookup layout 'first-page-number)))
         (interpret-markup layout props arg)
         empty-stencil))

  #(define (print-page-number-check-part-first layout props arg)
     (if (or (not (= (chain-assoc-get 'page:page-number props -1)
                     (ly:output-def-lookup layout 'first-page-number)))
             (eq? (ly:output-def-lookup layout 'print-first-page-number) #t))
         (create-page-number-stencil layout props arg)
         empty-stencil))

  oddHeaderMarkup = \markup \fill-line {
    %% force the header to take some space, otherwise the
    %% page layout becomes a complete mess.
    " "
    \on-the-fly #not-part-first-page \fromproperty #'header:instrument
    \on-the-fly #print-page-number-check-part-first \fromproperty #'page:page-number-string
  }
  evenHeaderMarkup = \markup \fill-line {
    \on-the-fly #print-page-number-check-part-first \fromproperty #'page:page-number-string
    \on-the-fly #not-part-first-page \fromproperty #'header:instrument
    " "
  }

%%% table of contents formatting
 %% Translate the toc title:
  tocTitleMarkup = \markup \huge \column {
    \fill-line { \null \ToCTitle \null }
    \hspace #1
  }
  tocActMarkup = \markup \large \column {
    \hspace #1
    \fill-line { \null \italic \fromproperty #'toc:text \null }
    \hspace #1
  }
 %% use dots and a larger font size
  tocItemMarkup = \markup \large \fill-with-pattern #1 #RIGHT .
  \fromproperty #'toc:text \fromproperty #'toc:page

%%% espacements (en staffspace)
  %% Note: these are not scaled; they are in staff-spaces.
  top-markup-spacing    = #'((basic-distance . 0)  (padding . 1)
                             (minimum-distance . 0))
  score-markup-spacing  = #'((basic-distance . 10) (padding . 1)
                             (minimum-distance . 8))
  markup-markup-spacing = #'((basic-distance . 1)  (padding . 0.5))
  markup-system-spacing = #'((basic-distance . 6)  (padding . 1)
                             (minimum-distance . 2))
  top-system-spacing    = #'((basic-distance . 1)  (padding . 1)
                             (minimum-distance . 0))
  system-system-spacing = #'((basic-distance . 10) (padding . 1)
                             (minimum-distance . 8))
  last-bottom-spacing   = #'((basic-distance . 1)  (padding . 1)
                             (minimum-distance . 0) (stretchability . 5))
  score-system-spacing  = #'((basic-distance . 10) (padding . 1)
                             (minimum-distance . 8))
}
%%%%%% end of paper block


\layout {
  \context {
    \Score
    \name Score
    \override RehearsalMark #'font-size = #-1
    \override BarNumber #'padding = #2 
    \override InstrumentName #'font-size = #1.0
    \override InstrumentName #'space-alist = #'((left-edge extra-space . 2.0))
    \accepts "StaffGroupNoBar"
    skipBars = ##t
    \override VerticalAxisGroup
      #'staff-staff-spacing = #'((minimum-distance . 8))
  }
  \context {
    \ChoirStaff
    \consists "Instrument_name_engraver"
  }
  \context {
    \StaffGroup
    \consists "Instrument_name_engraver"
  }
   \context {
    \Staff
    \name Staff
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 4)
    %% Figured bass
    ignoreFiguredBassRest = ##f
    figuredBassAlterationDirection = #RIGHT
    \override BassFigureAlignment #'stacking-dir = #UP
    \override BassFigureAlignmentPositioning #'direction = #DOWN
  }
  RemoveEmptyStaffContext = \context {
    \Staff
    \remove "Axis_group_engraver"
    \consists "Hara_kiri_engraver"
    \override Beam #'auto-knee-gap = #'()
    \override VerticalAxisGroup #'remove-empty = ##t
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 4)
  }
  \context {
    \PianoStaff
    \name PianoStaff
    \override StaffGrouper #'staff-staff-spacing #'stretchability = #1
  }
}
%%%%%%ends layout block


%%% editorial annotation's layout
quoteLayout = \layout {
  indent = 0\cm
  ragged-right = ##t
  \context { \Staff
    \remove "Time_signature_engraver"
    \remove "Key_engraver"
  }
}

onlyNotesLayout = \layout {
  indent = 0
  \context {
    \Staff
    \remove "Time_signature_engraver"
    \remove "Clef_engraver"
    \remove "Staff_symbol_engraver"
  }
  \context { \Score \remove "Bar_number_engraver" }
}
